/** Сontains all data formats known to us */
export declare enum DataTransferType {
    Text = "text/plain",
    Html = "text/html",
    Yfm = "text/yfm",// self
    Rtf = "text/rtf",// Safari, WebStorm/Intelij
    UriList = "text/uri-list",
    VSCodeData = "vscode-editor-data",
    Files = "Files"
}
export declare function isFilesOnly({ types }: DataTransfer): boolean;
export declare function isFilesFromHtml({ types }: DataTransfer): boolean;
export declare function isImageFile(file: File): boolean;
export declare function isVSCode(data: DataTransfer): boolean;
export type VSCodeData = {
    version: number;
    isFromEmptySelection: boolean;
    multicursorText: null | string;
    mode: string;
    [key: string]: unknown;
};
export declare function tryParseVSCodeData(data: DataTransfer): VSCodeData | undefined;
/**
 * Checks if HTML conversion should be skipped based on clipboard contents.
 */
export declare function shouldSkipHtmlConversion(clipboardData: DataTransfer): boolean;
